Subject: Re: Slight gcc -mno-cygwin inconsistency
From: "Gerrit P. Haase" <[email-masked]>
To: "Demmer, Thomas" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 22 Oct 2003 13:58:26 +0200

Thomas schrieb:

> Well, 
> so far everything I installed was consistent in terms of
> header files between cygwin and mingw, so, yes until now I
> do want mingw to search in /usr/include. But I see your
> point and maybe I was just lucky (I do not want the linker 
> to search in /usr/local/lib, though).

But it is pretty useless to have a function declared in a Cygwin header
which is exported from cygwin1.dll in a MinGW application since the
linker doesn't link against libcygwin.a.  You can do this as long as the
functions are identical, but what for?  If this function is available
for MinGW then there is also a MinGW header declaring this function.
If the function() is not available for MinGW, then your application will
not link anyway.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/